*==========================================================
* set up
*==========================================================
clear
set more off
macro drop _all
set scheme lean1 // plotplain s2mono s1color s1mono lean1

cap cd "C:/Users/Neo/Desktop/relocation/"
global data = "$pwd" + "data"
global results = "$pwd" + "results"

*==========================================================
* start logging
*==========================================================
log close _all
log using "$results/table_1.log", replace

*==========================================================
* descriptive statistics
*==========================================================
** 2016
use "$data/data_2016_model.dta", clear
des, s

tab will_cat5, mi
tab hhgender, mi
tab hhmar, mi
tab hhmidsch, mi
tab hanpeople, mi
tab runningwtr, mi
tab eletric, mi

keep dv hhage householdsize income_log yr16lvstockvalue_log landarea ///
	friend yr16dis2pvrd yr16dis2mkt yr16dis2elescl yr16dis2midscl ///
	yr16dis2hscl vsttimes
sum
outreg2 using "$results/table_1.doc", replace label dec(2) sum(log) eqkeep(mean sd)

** 2017
use "$data/panel_2017_2019.dta", clear
keep if year == 2017
des, s

tab y, mi
tab hhgender, mi
tab hhmar, mi
tab hhmidsch, mi
tab hanpeople, mi
tab leftbehind, mi

keep hhage hhsize inc_log livestock_log land_orig land_dest friend_dest friend_orig apt_happy distance
sum
outreg2 using "$results/table_1.doc", append label dec(2) sum(log) eqkeep(mean sd)

** 2019
use "$data/panel_2017_2019.dta", clear
keep if year == 2019
des, s

tab y, mi
tab hhgender, mi
tab hhmar, mi
tab hhmidsch, mi
tab hanpeople, mi
tab leftbehind, mi

keep hhage hhsize inc_log livestock_log land_orig land_dest friend_dest friend_orig apt_happy distance
sum
outreg2 using "$results/table_1.doc", append label dec(2) sum(log) eqkeep(mean sd)

*==========================================================
* end logging
*==========================================================
log close _all

// *==========================================================
// * clear memory and exit
// *==========================================================
// exit, clear STATA


*=========================== END ===========================

